GDB (xrefs)

Public Attributes | List of all members
aarch64_call_info Struct Reference

## Public Attributes
unsigned | argnum
unsigned | ngrn
unsigned | nsrn
unsigned | nsaa

## Detailed Description

Definition at line 1186 of file aarch64-tdep.c.

## Member Data Documentation

## ◆ argnum

unsigned aarch64_call_info::argnum

Definition at line 1189 of file aarch64-tdep.c.

Referenced by pass_in_v(), pass_in_x(), and pass_on_stack().

## ◆ ngrn

unsigned aarch64_call_info::ngrn

Definition at line 1193 of file aarch64-tdep.c.

Referenced by pass_in_x(), and pass_in_x_or_stack().

## ◆ nsaa

unsigned aarch64_call_info::nsaa

Definition at line 1201 of file aarch64-tdep.c.

Referenced by aarch64_push_dummy_call(), and pass_on_stack().

## ◆ nsrn

unsigned aarch64_call_info::nsrn

Definition at line 1197 of file aarch64-tdep.c.

Referenced by aarch64_push_dummy_call(), and pass_in_v().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/aarch64-tdep.c